#include "opendylan/run-time.h"

void _Init_dfmc_linker_ () __attribute__((constructor));
void _Init_dfmc_linker_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_back_end_();
  extern void _Init_dfmc_core_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_linker__X_linker_library_for_system();
  extern void _Init_dfmc_linker__X_linker_for_system();
  extern void _Init_dfmc_linker__X_linker_library_for_user();
  extern void _Init_dfmc_linker__X_linker_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_back_end_();
    _Init_dfmc_core_();
    _Init_dylan_();
    _Init_dfmc_linker__X_linker_library_for_system();
    _Init_dfmc_linker__X_linker_for_system();
    _Init_dfmc_linker__X_linker_library_for_user();
    _Init_dfmc_linker__X_linker_for_user();
  }
}
